
Katello - Bug #4958

Can't edit organizations in Katello mode

03/31/2014 01:56 AM - Mike McCune

Status: Closed   

Priority: Urgent   

Assignee: Joseph Magen   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When running Katello and you try to use the UI to update an Organization you get the following error:

"Organization Not Found"

the log files contain:

Processing by OrganizationsController#update as HTML

Parameters: {"utf8"=>"✓", "authenticity_token"=>"h/B4veTECK/p8tc7Zxzfc12aYgSVCss+PZvHTr99iEI=",

"organization"=>{"parent_id"=>"", "name"=>"ACME_Corporation", "description"=>"ACME_Corporation Organization",

"service_level"=>"", "ignore_types"=>["0", "0", "0", "0", "0", "0", "0", "0", "0"], "user_ids"=>[""], "smart_proxy_ids"=>["", "1"],

"subnet_ids"=>["", "1"], "compute_resource_ids"=>["", "1"], "medium_ids"=>["", "6"], "config_template_ids"=>["", "5", "4", "6", "7", "8",

"10", "9", "22", "23", "24", "30", "31", "12", "11", "13", "14", "15", "3", "2", "1", "16", "18", "17", "19", "20", "21", "25", "26", "27", "28",

"29", "32"], "domain_ids"=>["", "1"], "environment_ids"=>["", "1", "2"], "hostgroup_ids"=>["", "1"], "location_ids"=>[""]},

"commit"=>"Submit", "id"=>"1-acme_corporation"}

Rendered common/404.html.erb within layouts/application (1.5ms)

Rendered layouts/base.html.erb (1.8ms)

Completed 404 Not Found in 329ms (Views: 6.4ms | ActiveRecord: 31.1ms)

other times you will get an actual 500 error:

Processing by OrganizationsController#update as HTML

Parameters: {"utf8"=>"✓", "authenticity_token"=>"HiSybkuvpWfPBD6c8uh20CyxzpvWw0qbcPW/kmXOBJ0=",

"organization"=>{"parent_id"=>"", "name"=>"ACME_Corporation", "description"=>"ACME_Corporation Organization222",

"service_level"=>"", "ignore_types"=>["0", "0", "0", "0", "0", "0", "0", "0", "0"], "user_ids"=>[""], "smart_proxy_ids"=>["", "1"],

"subnet_ids"=>["", "1"], "compute_resource_ids"=>["", "1"], "medium_ids"=>["", "6"], "config_template_ids"=>[""], "domain_ids"=>["",

"1"], "environment_ids"=>["", "1", "2"], "hostgroup_ids"=>["", "1"], "location_ids"=>[""]}, "commit"=>"Submit",

"id"=>"1-acme_corporation"}

Operation FAILED: Failed to replace environments because one or more of the new records could not be saved.

Rendered common/500.html.erb within layouts/application (121.4ms)

Rendered layouts/base.html.erb (1.1ms)

Completed 500 Internal Server Error in 363ms (Views: 125.6ms | ActiveRecord: 10.9ms)

ths does not happen with Foreman standalone

Associated revisions

Revision c24c2be0 - 03/31/2014 09:12 AM - Joseph Magen

fixes #4958 - changed organization extensions has_many environments to kt_environments to not conflict with Foreman's has_many environments

Revision 30afa31b - 03/31/2014 04:29 PM - Brad Buckingham

fixes #4958 - additional changes to support org kt_environments relationship

This commit contains a few more changes need to support the renaming

of environments to kt_environments in the organization_extensions.
Revision 33cd8eb1 - 03/31/2014 05:01 PM - Brad Buckingham

Merge pull request #3923 from bbuckingham/joseph-4958

fixes #4958 - changed organization extensions has_many environments to kt_environments to not conflict with Foreman's has_many environments

History

#1 - 03/31/2014 10:08 AM - Joseph Magen

- Category changed from API to Web UI

- Status changed from New to Assigned

- Assignee changed from Brad Buckingham to Joseph Magen

#2 - 03/31/2014 10:16 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

the organization_extensions were overriding Foreman's has_many :environments.  I changed it to has_many kt_environments.

https://github.com/Katello/katello/pull/3920

#3 - 03/31/2014 05:52 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c24c2be0c22da676316a50e3ddcbf0aa6355326d.

#4 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/21/2014 02:39 PM - Eric Helms

- translation missing: en.field_release set to 13
